#
# spec file for package kpassgen
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2009-2011 by Sascha Manns <saigkill@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kpassgen
Version:        1.4
Release:        2.3
Summary:        Password Generator
License:        GPL-2.0+
Group:          Productivity/Security
Url:            http://sourceforge.net/projects/kpassgen/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.png
# PATCH-FIX-OPENSUSE saigkill@opensuse.org Fix the *.desktop File to Freedesktop's Standards and openSUSE Standards.
Patch0:         %{name}-desktop-fix.patch
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  kde4-filesystem
BuildRequires:  libkde4-devel
BuildRequires:  libqt4-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?kde4_runtime_requires}

%description
Generates a set of random passwords of any length that can include the letter
a-z, A-Z any number and symbols. WARNING: I cannot guarantee the strength of
the passwords generated by this program.

TODO:
- Implement drag and droping
- Allow lower case letter to be unselected
- Simple password mode (favours lower case letters)

%prep
%setup -q -n %{name}
%patch0 -p1
#fix source
chmod 0644 COPYING README

%build
%cmake_kde4 -d build
%{make_jobs}

%install
cd build
%{kde4_makeinstall}
install -Dm 0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file %{name} Security
%{kde_post_install}

%files
%defattr(-,root,root)
%doc COPYING README
%{_kde4_bindir}/kpassgen
%{_kde4_applicationsdir}/kpassgen.desktop
%{_kde4_appsdir}/kpassgen
%{_kde4_sharedir}/config.kcfg/settings.kcfg
%{_datadir}/pixmaps/kpassgen.png

%changelog
* Tue Nov 29 2016 olaf@aepfle.de
- Expand macro kde4_runtime_requires only when its available
  to fix quilt setup
* Wed Sep 10 2014 dmitry_r@opensuse.org
- Set package license to GPL-2.0+ according to COPYING file
- Set source url
* Mon Jan 31 2011 saigkill@opensuse.org
- updated to version 1.4
* Mon Dec 27 2010 saigkill@opensuse.org
- prettified the spec
* Sat Sep 18 2010 bitshuffler@opensuse.org
- Spec clean up
* Sat Sep 18 2010 saigkill@opensuse.org
- update to Version 1.2
* Wed Sep  8 2010 saigkill@opensuse.org
- update to Version 1.1-
* Sat Sep  4 2010 saigkill@opensuse.org
- update to version 1.0
* Thu Sep 10 2009 saigkill@opensuse.org
- Changed alphanumerical page, now uses a qtablewidget
- Minimum numbers for each character set introduced, you can now set a minimum number for each set of characters for alpha numerical passwords
- Added mono spaced font option (right click the password box)
- Converted options page to use .ui file
* Tue Aug 18 2009 saigkill@opensuse.org
- Reworked Spec (Provides/Obsoletes)
  * Implemented drag and drop of passwords.
  * Settings auto-save and load on program start/exit.
* Fri Aug 14 2009 saigkill@opensuse.org
- updated to Version 0.5
- 14 August 2009, Version 0.5:
  * Added (basic) simple password mode support
  * Reworked alot of the code
* Sat Aug  1 2009 saigkill@opensuse.org
- packaged Version 0.4
  - Reworked UI, options are now hidden by default
  - Added support for custom letters/symbols
  - Reworked code
* Fri Jul 31 2009 saigkill@opensuse.org
- added make clean
* Fri Jul 24 2009 saigkill@opensuse.org
- packaged Version 0.3
  - Hex values added, selecting hex disables other values
  - Copying to clipboard now implemented.
  - Reworked some code.
* Thu Jul 23 2009 saigkill@opensuse.org
- packaged Version 0.2
- Lower case letter can now be unselected when at least one of the other check boxes are checked.
- Maximum length of passwords increased from 100 to 999
* Sun Jul 19 2009 saigkill@opensuse.org
- initial Version 0.1 for openSUSE
